


/* MODALS (Bootstrap) */
/* ================================================== */

/*.modal-content {*/
/*    -webkit-border-radius: 0;*/
/*    -moz-border-radius: 0;*/
/*    border-radius: 0;*/

/*    background: #ebebec;*/
/*}*/
/*.modal-content.form-shadow-wrap {*/
/*    border: 2px solid #000;*/
/*}*/
/*.form-modal .modal-header {*/
/*    position: absolute;*/
/*    width: 100%;*/
/*    border: none;*/
/*}*/
/*.form-modal .modal-header .col:first-child {*/
/*    pointer-events: none;*/
/*}*/
/*.form-modal .modal-header .modal-title {*/
/*    display: none;*/
/*}*/
/*.form-modal h2,*/
/*.form-modal h3 {*/
/*    color: #FF4800;*/
/*    font-size: 42px;*/
/*}*/

body.modal-open {
    padding: 0!important;
    height: 100vh!important;
    overflow: hidden!important;
}

.modal-content {
    background-color: var(--color-ma-cream);
}
#wp-content-modal .wcm-loader {
    padding: 35px 20px;
    min-height: 100px;
    opacity: 0.4;
}

#wp-content-modal .modal-dialogue,
#wp-content-modal .modal-body {
    padding: 0!important;
}

#wp-content-modal .modal-fs {
    max-width: 100vw;
}

#wp-content-modal .modal-dialog.no-heading .modal-header {
    /*position: absolute;*/
    /*width: 100%;*/
    border: none;
}
#wp-content-modal .modal-dialog.no-heading .icon--close:before {
    font-size: 48px;
    padding: 20px;
    width: auto;
}
#wp-content-modal .modal-dialog.no-heading .modal-content {
    padding-bottom: 45px;
}

.text-white .close {
    color: white;
}

.modal-fs .modal-header > .container {
    width: 100%;
    max-width: 100%;
    /*padding: 10px 45px;*/
}


.wcm-bg-primary     { background-color: var(--color-primary) !important; }
.wcm-bg-secondary   { background-color: var(--color-secondary) !important; }
.wcm-bg-tertiary    { background-color: var(--color-tertiary) !important; }
/*.bg-ma-cream    { background-color: var(--color-ma-cream) !important; }*/
/*.bg-ma-green    { background-color: var(--color-ma-green) !important; }*/

/*.bg-ma-geo-vector {*/
/*    background: url('images/ma-geo-vector.png') !important;*/
/*    background-position: center center !important;*/
/*    background-size: cover !important;*/
/*}*/


.wcm-bg-primary-l1 .modal-content     { background-color: var(--color-primary-l1) !important; }
.wcm-bg-primary-l2 .modal-content     { background-color: var(--color-primary-l2) !important; }
.wcm-bg-primary-d1 .modal-content     { background-color: var(--color-primary-d1) !important; }
.wcm-bg-primary-d2 .modal-content     { background-color: var(--color-primary-d2) !important; }

.wcm-bg-secondary-l1 .modal-content   { background-color: var(--color-secondary-l1) !important; }
.wcm-bg-secondary-l2 .modal-content   { background-color: var(--color-secondary-l2) !important; }
.wcm-bg-secondary-d1 .modal-content   { background-color: var(--color-secondary-d1) !important; }
.wcm-bg-secondary-d2 .modal-content   { background-color: var(--color-secondary-d2) !important; }

.wcm-bg-tertiary-l1 .modal-content    { background-color: var(--color-tertiary-l1) !important; }
.wcm-bg-tertiary-l2 .modal-content    { background-color: var(--color-tertiary-l2) !important; }
.wcm-bg-tertiary-d1 .modal-content    { background-color: var(--color-tertiary-d1) !important; }
.wcm-bg-tertiary-d2 .modal-content    { background-color: var(--color-tertiary-d2) !important; }


.modal .fade-wrapper .slide {
    text-align: center;
}